classification
Title: Cleanup pass on _curses and _curses_panel
Type: behavior Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, georg.brandl, gvanrossum, larry
Priority: low Keywords: patch

Created on 2007-08-25 11:25 by larry, last changed 2010-02-22 23:49 by larry. This issue is now closed.

Files
File name Uploaded Description Edit
lch.py3k.curses.module.diff.1.txt larry, 2007-08-25 11:25
Messages (4)
msg55287 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2007-08-25 11:25
*BEFORE* APPLYING THIS PATCH, YOU MUST
% svn move Include/py_curses.h Modules/_py_curses.h
(A "patch" can't convey that sort of information.)

I made a pass cleaning up _curses and _curses_panel.  Mainly I cleaned
up the header file, moving unnecessary things into the two .c files.
I also changed the way information is passed from _curses to
_curses_panel.  Instead of a Py_CObject which points to functions--which
Neil Norwitz suspected could be a security hole--it now passes cleaner
information (one type, one int * pointer).  Finally, I made a
code-cleanup pass as per PEP 7.
msg55435 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-29 20:40
I tried to run the various demos in Demo/curses/ with the new version.
They all work except for xmas.py. Before your patch, they all ran.

So I cannot apply this yet.  (No time to look into it further, alas.)
msg55866 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-09-12 19:36
Unfortunately, the patch is hard to review with all the whitespace
cleanup distracting from semantic changes. Can you produce a patch with
only those changes?
msg99878 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2010-02-22 23:49
The major reason I undertook this patch was to fix the security hole of the CObject.  That entire class of security holes is now fixed by the capsule object.  The rest of the diffs aren't interesting enough to worry about.  So I'm abandoning my patch.
History
Date User Action Args
2010-02-22 23:49:17larrysetstatus: open -> closed
resolution: rejected
messages: + msg99878
2008-01-13 23:43:33akuchlingsetassignee: akuchling ->
2008-01-12 01:17:28akuchlingsetassignee: akuchling
nosy: + akuchling
2007-09-17 10:52:19jafosetpriority: low
2007-09-12 19:36:08georg.brandlsetnosy: + georg.brandl
messages: + msg55866
2007-09-02 20:08:07loewissetkeywords: + patch
2007-08-29 20:40:27gvanrossumsetnosy: + gvanrossum
messages: + msg55435
2007-08-25 11:25:16larryhastingscreate